Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Developer
DachFlach
Posts: 148
Registered: ‎12-06-2010
My Device: Not Specified

Notification when New SDKs are supported?

I am told that only AIR 3.1 is supported - Not anything higher.

 

Is there a place to be notified when 3.4 will be supported? ( or 3.2+ )

If not, will someone from BB let us know in this thread when it is?

Please use plain text.
Regular Contributor
Vemilyus
Posts: 54
Registered: ‎03-21-2011
My Device: 1st Gen BlackBerry PlayBook 16GB (Gift from RIM :D)
My Carrier: WiFi

Re: Notification when New SDKs are supported?

I recently communicated with Alec Saunders of developer relations and asked him exactly that. He said that RIM had a dedicated team working on updating AIR but he could or would not name a date.
As for SDK specific support, I recommend consulting the roadmap on the AIR SDK Beta page. So far there is no information about a newer version of the AIR runtime.
This is a signature. Don't expect anything fancy, for I would use an image if I could. But I can't, so cope with it...
Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: Notification when New SDKs are supported?

AIR 3.3/3.4 is going to be supported. It is in the planning stage. I would not expect anything until around Feb/Mar timeframe since it requires resources currently tasked to BB10 core development. Even after a beta version of this, it would still be a TBD on when consumers would get it since it will require an upgrade to the OS (not a patch) for them to use it.

Do not ask about captive runtime. RIM has said that AIR is a core component to the OS and they do not want the increase footprint of captive runtime to take away form the user experience.
Please use plain text.